Get a feature by ID
Get a feature by ID
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
feature_id
ID of feature to get
Query parameters
returning
Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.
Response
OK
color
The color of the annotations generated by the feature. Must be a valid hex string
featureLibraryId
The id of the feature library the feature belongs to
featureType
The type of feature, like gene, promoter, etc. Note: This is an arbitrary string, not an enum
name
The name of the feature
pattern
The pattern used for matching during auto-annotation.
id
The id of the feature
matchType
The match type of the feature. Used to determine how auto-annotate matches are made.
Allowed values:
Errors
404
Not Found Error